namespace StudySystemClient {
	public class MainWindow : Gtk.ApplicationWindow {
		private Connection connection;

		public MainWindow(Gtk.Application app, Connection connection) {
			Object(application: app);

			default_width = 360;
			default_height = 580;

			this.connection = connection;

			var header_bar = new Gtk.HeaderBar();
			var title = new Gtk.Label("Study System Client");
			title.add_css_class("title");
			header_bar.title_widget = title;
			set_titlebar(header_bar);

			var activities_view = new ActivitiesView();
			set_child(activities_view);
		}
	}
}
